No se puede depurar la aplicación en Xcode 7.1 beta, con iOS 9.0 GM

Recibo el siguiente error al intentar ejecutar mi aplicación con Xcode 7.1 Beta (7B60) con iOS 9.0 GM instalado en mi iPad:

Se encontró un error al habilitar el desarrollo en este dispositivo.

Intente reiniciar y volver a conectar el dispositivo. (0xE8000076)

Hay alguna solución para este problema ? El foro de desarrolladores de Apple tiene una publicación relacionada, pero sin solución

Debe ejecutar iOS 9.1 beta junto con Xcode 7.1 beta. Usar un GM iOS y un Xcode beta juntos genera este tipo de problemas.

Sugiero que simplemente use Xcode 7.0 GM con su versión instalada de iOS.